%define MAJver %(echo %version | cut -d. -f 1)
%define majver %(echo %version | cut -d. -f 1-2)
%define pkgver %(echo %version | cut -d. -f 1-3)
%define instdir      %{_libdir}
%define baseinstdir  %{instdir}/libreoffice
%define ureinstdir   %{baseinstdir}/ure
%define basisinstdir %{baseinstdir}/basis%{majver}
%define sdkinstdir   %{baseinstdir}/basis%{majver}/sdk
%define fontname     opensymbol
%define fontdir      %{_datadir}/fonts/%{fontname}
#%define download_mirror download.documentfoundation.org
%define download_mirror download.documentfoundation.org
%define OFFICEUPD    330
%define SOPOST       l*

%define _default_patch_flags -s -l

# later versions of hsqldb changed the file format,
# so if we use a later version we loose
# backwards compatability.
%define with_system_hsqldb 1
%define with_system_saxon9 1

%define with_test          0
%define with_stax          0
# TODO
%define with_gvfs          0
%define langpacks          1

Name:          libreoffice
Version:       6.4.6.1
Release:       1mamba
Summary:       Free Office Suite
Group:         Graphical Desktop/Applications/Office
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.documentfoundation.org/develop/
Source0:       http://download.documentfoundation.org/libreoffice/src/%{pkgver}/libreoffice-%{version}.tar.xz
Source2:       http://download.documentfoundation.org/libreoffice/src/%{pkgver}/libreoffice-dictionaries-%{version}.tar.xz
Source3:       http://download.documentfoundation.org/libreoffice/src/%{pkgver}/libreoffice-help-%{version}.tar.xz
Source4:       http://download.documentfoundation.org/libreoffice/src/%{pkgver}/libreoffice-translations-%{version}.tar.xz
Source5:       libreoffice-4.1.3.2-openmamba-branding.tar.gz
#Source20:      http://tools.openoffice.org/unowinreg_prebuild/680/unowinreg.dll
Source21:      mamba-langpacks.tar.gz
Source22:      libreoffice-multiliblauncher.sh
Source23:      http://dev-www.libreoffice.org/src/0168229624cfac409e766913506961a8-ucpp-1.3.2.tar.gz
Source24:      http://dev-www.libreoffice.org/src/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip
Source25:      http://dev-www.libreoffice.org/src/185d60944ea767075d27247c3162b3bc-unowinreg.dll
Source26:      http://dev-www.libreoffice.org/src/CoinMP-1.7.6.tgz
Source27:      http://dev-www.libreoffice.org/src/ce12af00283eb90d9281956524250d6e-xmlsec1-1.2.20.tar.gz
Source28:      http://dev-www.libreoffice.org/src/OpenCOLLADA-master-6509aa13af.tar.bz2
Source29:      http://dev-www.libreoffice.org/src/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip
Source30:      http://dev-www.libreoffice.org/src/libgltf/libgltf-0.0.2.tar.bz2
Source31:      http://dev-www.libreoffice.org/src/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2
Source32:      http://dev-www.libreoffice.org/src/pdfium-3963.tar.bz2
Source33:      https://dev-www.libreoffice.org/extern/8249374c274932a21846fa7629c2aa9b-officeotron-0.7.4-master.jar
Source34:      https://dev-www.libreoffice.org/extern/odfvalidator-1.2.0-incubating-SNAPSHOT-jar-with-dependencies+ODFTOOLKIT-460+ODFTOOLKIT-475.jar
Source35:      https://dev-www.libreoffice.org/extern/884ed41809687c3e168fc7c19b16585149ff058eca79acbf3ee784f6630704cc-opens___.ttf
Patch12:       libreoffice-installfix.patch
Patch39:       libreoffice-5.1.1.1-gcc-5.3-std-isnan.patch
Patch40:       libreoffice-5.1.3.2-x86-cppunit.patch
Patch41:       libreoffice-6.0.5.1-libicu-61.1.patch
Patch42:       libreoffice-6.0.5.1-upstream-glm.patch
Patch43:       libreoffice-6.1.2.1-boost-1.69.patch
Patch44:       libreoffice-6.4.0.3-libpoppler-0.84.0.patch
Patch45:       libreoffice-6.4.3.2-build-workaround-fix-deleteTestDirectory-failed-assert.patch
Patch46:        libreoffice-6.4.3.2-libpoppler-0.87.patch
License:       BSD, Common Development and Distribution License 1.0, GPL, LGPL, MPL 1.1, Netscape, Public Domain
## AUTOBUILDREQ-BEGIN
BuildRequires: firebird-devel
BuildRequires: glibc-devel
BuildRequires: java-openjdk
BuildRequires: kdelibs-devel
BuildRequires: ldconfig
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libabw-devel
BuildRequires: libatk-devel
BuildRequires: libatlas-devel
BuildRequires: libblas-devel
BuildRequires: libboost-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcdr-devel
BuildRequires: libclucene-devel
BuildRequires: libcmis-devel
BuildRequires: libcoinmp-devel
BuildRequires: libcups-devel
BuildRequires: libcurl-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libdconf-devel
BuildRequires: libe-book-devel
BuildRequires: libetonyek-devel
BuildRequires: libexpat-devel
BuildRequires: libexttextcat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreehand-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglew-devel
BuildRequires: libglib-devel
BuildRequires: libgltf-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libhunspell-devel
BuildRequires: libhyphen-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: liblangtag-devel
BuildRequires: liblcms2-devel
BuildRequires: liblp_solve-devel
BuildRequires: liblzma-devel
BuildRequires: libmspub-devel
BuildRequires: libmwaw-devel
BuildRequires: libmythes-devel
BuildRequires: libneon-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libodfgen-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: liborcus-devel
BuildRequires: libpagemaker-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpoppler-devel
BuildRequires: libpostgresql-devel
BuildRequires: libpython3-devel
BuildRequires: libqt4-devel
BuildRequires: libraptor2-devel
BuildRequires: librdf-devel
BuildRequires: librevenge-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvisio-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libwps-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: dejavu-fonts-ttf
BuildRequires: hunspell-en
BuildRequires: hunspell-it
BuildRequires: hyphen-en
BuildRequires: hyphen-it
BuildRequires: unzip
BuildRequires: autoconf
BuildRequires: bc
BuildRequires: binutils
BuildRequires: bison
#BuildRequires: debianutils
#BuildRequires: which
BuildRequires: desktop-file-utils
BuildRequires: findutils
BuildRequires: flex
BuildRequires: gcc-c++
BuildRequires: gperf
BuildRequires: icu
BuildRequires: make
BuildRequires: mkfontdir
BuildRequires: mkfontscale
BuildRequires: rsync
BuildRequires: tcsh
BuildRequires: xpdf
BuildRequires: zip
BuildRequires: translate-toolkit
BuildRequires: dejavu-fonts-ttf
BuildRequires: libmdds-devel
# todo
%if %with_gvfs
BuildRequires: gvfs-devel
%endif
BuildRequires: liberation-fonts-ttf
BuildRequires: sil-gentium-basic-fonts
BuildRequires: libbonobo-devel
BuildRequires: libboost-devel
BuildRequires: libcppunit-devel
BuildRequires: libcups-devel
BuildRequires: libcurl-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libevolution-data-server-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libGLU-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk-devel
BuildRequires: libhunspell-devel
BuildRequires: libhyphen-devel
BuildRequires: libICE-devel
BuildRequires: libicu-devel
BuildRequires: libidn-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: liblp_solve-devel
BuildRequires: libmdds-devel
BuildRequires: libmysqlclient-devel
BuildRequires: libmythes-devel
BuildRequires: libneon-devel
BuildRequires: libnss-devel
BuildRequires: libnspr-devel
BuildRequires: libodbc-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpoppler-devel
BuildRequires: libpoppler-glib-devel
BuildRequires: libportaudio-devel
BuildRequires: libpostgresql-devel
BuildRequires: libpython-devel
BuildRequires: libqt4-devel
BuildRequires: libraptor-devel
BuildRequires: librdf-devel
BuildRequires: libsablotron-devel
BuildRequires: libsane-backends-devel
BuildRequires: libsilgraphite-devel
BuildRequires: libexttextcat-devel
BuildRequires: libvigra-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libwps-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libXt-devel
BuildRequires: libz-devel
BuildRequires: libmdb-devel
#BuildRequires: mdbtools
BuildRequires: mono-devel 
BuildRequires: mysql-connector-c++-devel
BuildRequires: openclipart
BuildRequires: pam-devel
BuildRequires: perl-Archive-Zip
BuildRequires: perl-Compress-Zlib
BuildRequires: xorg-server-devel
BuildRequires: xproto-devel
BuildRequires: xulrunner-devel
BuildRequires: npapi-sdk-devel
# java stuff
BuildRequires: apache-ant
BuildRequires: java-pentaho-libxml
BuildRequires: java-flute
BuildRequires: java-pentaho-reporting-flow-engine
BuildRequires: xerces-j2
BuildRequires: xalan-j2
BuildRequires: xml-commons-apis
BuildRequires: apache-ant-regexp
BuildRequires: jakarta-commons-codec == 1.3
BuildRequires: jakarta-commons-httpclient == 3.1
BuildRequires: jakarta-commons-lang == 2.3
BuildRequires: jakarta-commons-logging == 1.1.1
%if %with_system_hsqldb
BuildRequires: java-hsqldb1 < 1.8.1
%endif
BuildRequires: java-bsh2 >= 2.0b4
#BuildRequires: java-lucene
#BuildRequires: java-lucene-contrib
#BuildRequires: java-junit48
BuildRequires: postgresql-jdbc
%if %with_system_saxon9
BuildRequires: java-saxon9 >= 9.1.0.7
%endif
BuildRequires: java-pentaho-reporting-flow-engine
# for the KDE subpackage
BuildRequires: kdelibs-devel
BuildRequires: hunspell-es
BuildRequires: hyphen-es
BuildRequires: mythes-es
BuildRequires: mythes-it
BuildRequires: valgrind
BuildRequires: libSampleICC-devel
BuildRequires: libcdr-devel
BuildRequires: libcmis-devel >= 0.3
BuildRequires: liblangtag-devel
BuildRequires: libexttextcat-devel >= 3.4
BuildRequires: libboost-devel >= 1.54
BuildRequires: libodfgen-devel
BuildRequires: libmwaw-devel
BuildRequires: libmdds0-devel >= 0.8
#BuildRequires: libixion-devel >= 0.5
BuildRequires: liborcus-devel >= 0.15.3
BuildRequires: libe-book-devel
BuildRequires: libetonyek-devel
BuildRequires: libfreehand-devel
BuildRequires: libmwaw-devel
BuildRequires: libabw-devel
BuildRequires: firebird-devel
BuildRequires: libicu-devel >= 52.1
BuildRequires: libpoppler-devel >= 0.24.5
BuildRequires: libmspub-devel >= 0.1.1
BuildRequires: libglm-devel
BuildRequires: libpagemaker-devel
BuildRequires: libcoinmp-devel
BuildRequires: libgltf-devel
BuildRequires: libepubgen-devel
BuildRequires: libqxp-devel
BuildRequires: libnumbertext-devel
BuildRequires: python-lxml-py3
BuildRequires: libzmf-devel
BuildRequires: libboost-devel >= 1.69.0-2mamba
BuildRequires: libqrcodegen-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LibreOffice is an Open Source, community-developed, office productivity suite.
It includes the key desktop applications, such as a word processor, spreadsheet, presentation manager, formula editor and drawing program, with a user interface and feature set similar to other office suites.
Sophisticated and flexible, LibreOffice also works transparently with a variety of file formats, including Microsoft Office File Formats.

%package core
Summary:       Core modules for LibreOffice
Group:         Graphical Desktop/Applications/Office
#Requires:      %{name}-%{fontname}-fonts = %{version}-%{release}
#Requires:      %{name}-ure = %{version}-%{release}
Requires:      dejavu-fonts-ttf
Requires:      liberation-fonts-ttf
Requires:      hunspell-en
Requires:      hyphen-en
#Requires:      java-lucene
#Requires:      java-lucene-contrib
Requires:      libreofficei18n
%if %with_system_saxon9
Requires:      java-saxon9 == 9.1.0.7
%endif
Requires:      libgtk
#   < 3.3.1
Provides:      %{name}-graphicfilter
Obsoletes:     %{name}-graphicfilter
Provides:      %{name}-kde
Obsoletes:     %{name}-kde
Provides:      OpenOffice-common
Obsoletes:     OpenOffice-common

%description core
The shared core libraries and support files for LibreOffice.

%package pyuno
Summary:       Python support for LibreOffice
Group:         Development/Libraries/Python
Requires:      %{name}-core = %{version}-%{release}
#Requires:      %{name}-ure = %{version}-%{release}
Requires:      python
Obsoletes:     OpenOffice-pyuno
Provides:      libreoffice-pythonscript
Obsoletes:     libreoffice-pythonscript

%description pyuno
Python bindings for the LibreOffice UNO component model. Allows scripts both external to LibreOffice and within the internal LibreOffice scripting framework to be written in python.

%package base
Summary:       Database front-end for LibreOffice
Group:         Graphical Desktop/Applications/Office
%if %with_system_hsqldb
Requires:      java-hsqldb1 < 1.8.1
%endif
Requires:      postgresql-jdbc
#Requires:      %{name}-ure = %{version}-%{release}
Requires:      %{name}-core = %{version}-%{release}
Requires:      %{name}-calc = %{version}-%{release}
Provides:      %{name}-reportdesign
Obsoletes:     %{name}-reportdesign
Obsoletes:     OpenOffice-Base

%description base
GUI database front-end for LibreOffice. Allows creation and management of databases through a GUI.

%package report-builder
Summary:       Create database reports from LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      java-pentaho-reporting-flow-engine
Requires:      %{name}-base = %{version}-%{release}
Requires:      %{name}-core

%description report-builder
Creates database reports from LibreOffice databases. The report builder can define group and page headers as well as group, page footers and calculation fields to accomplish complex database reports.

%package bsh
Summary:       BeanShell support for LibreOffice
Group:         Development/Libraries/Java
Requires:      java-bsh2
Requires:      %{name}-core = %{version}-%{release}

%description bsh
Support BeanShell scripts in LibreOffice.

%package rhino
Summary:       JavaScript support for LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description rhino
Support JavaScript scripts in LibreOffice.

#%package wiki-publisher
#Summary:       Create Wiki articles on MediaWiki servers with LibreOffice
#Group:         Graphical Desktop/Applications/Office
#Requires:      jakarta-commons-codec == 1.3
#Requires:      jakarta-commons-httpclient == 3.1
#Requires:      jakarta-commons-lang == 2.3
#Requires:      jakarta-commons-logging == 1.1.1
#Requires:      %{name}-writer = %{version}-%{release}
#Requires:      %{name}-core
#
#%description wiki-publisher
#The Wiki Publisher enables you to create Wiki articles on MediaWiki servers without having to know the syntax of the MediaWiki markup language. Publish your new and existing documents transparently with writer to a wiki page.

%package ogltrans
Summary:       3D OpenGL slide transitions for LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-impress = %{version}-%{release}
Requires:      %{name}-core

%description ogltrans
OpenGL Transitions enable 3D slide transitions to be used in LibreOffice.
Requires good quality 3D support for your graphics card for best experience.

#%package presentation-minimizer
#Summary:       Shrink LibreOffice presentations
#Group:         Graphical Desktop/Applications/Office
#Requires:      %{name}-impress = %{version}-%{release}
#Requires:      %{name}-core
#
#%description presentation-minimizer
#The Presentation Minimizer is used to reduce the file size of the current presentation. Images will be compressed, and data that is no longer needed will be removed.

#%package presenter-screen
#Summary:       Presenter Screen for LibreOffice Presentations
#Group:         Graphical Desktop/Applications/Office
#Requires:      %{name}-impress = %{version}-%{release}
#Requires:      %{name}-core
#
#%description presenter-screen
#The Presenter Screen is used to provides information on a second screen, that typically is not visible to the audience when delivering a presentation. e.g. slide notes.

#%package pdfimport
#Summary:       PDF Importer for LibreOffice Draw
#Group:         Graphical Desktop/Applications/Office
#Requires:      %{name}-draw = %{version}-%{release}
#Requires:      %{name}-core
#
#%description pdfimport
#The PDF Importer imports PDF into drawing documents to preserve layout and enable basic editing of PDF documents.

#%package %{fontname}-fonts
#Summary:       LibreOffice dingbats font
#Group:         System/Fonts
##BuildArch: noarch

#%description %{fontname}-fonts
#A dingbats font, OpenSymbol, suitable for use by LibreOffice for bullets and mathematical symbols.

%package writer
Summary:       LibreOffice Word Processor Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
#Requires:      %{name}-ure = %{version}-%{release}
Obsoletes:     OpenOffice-Writer

%description writer
The LibreOffice Word Processor application.

%package mailmerge
Summary:       Email mail-merge component for LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-writer = %{version}-%{release}
Requires:      %{name}-pyuno = %{version}-%{release}
Obsoletes:     OpenOffice-mailmerge

%description mailmerge
Enables the LibreOffice writer module to mail-merge to email.

%package calc
Summary:       LibreOffice Spreadsheet Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
#Requires:      %{name}-ure = %{version}-%{release}
Obsoletes:     OpenOffice-Calc

%description calc
The LibreOffice Spreadsheet application.

%package draw
Summary:       LibreOffice Drawing Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
#Requires:      %{name}-ure = %{version}-%{release}
#Requires:      %{name}-pdfimport = %{version}-%{release}
Requires:      %{name}-graphicfilter = %{version}-%{release}
Obsoletes:     OpenOffice-Draw

%description draw
The LibreOffice Drawing Application.

%package kit
Summary:       LibreOffice Kit
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description kit
The LibreOffice Kit.

%package impress
Summary:       LibreOffice Presentation Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
#Requires:      %{name}-ure = %{version}-%{release}
#Requires:      %{name}-presenter-screen = %{version}-%{release}
Obsoletes:     OpenOffice-Impress
Provides:      %{name}-ogltrans
Obsoletes:     %{name}-ogltrans

%description impress
The LibreOffice Presentation Application.

%package math
Summary:       LibreOffice Equation Editor Application
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
#Requires:      %{name}-ure = %{version}-%{release}
Obsoletes:     OpenOffice-Math

%description math
The LibreOffice Equation Editor Application.

%package filters
Summary:       Optional filters module for LibreOffice
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
Provides:      %{name}-xsltfilter
Obsoletes:     %{name}-xsltfilter
Provides:      %{name}-javafilter
Obsoletes:     %{name}-javafilter
Obsoletes:     OpenOffice-filters

%description filters
The xsltfilter module for LibreOffice, provides the following additional filters:
- additional docbook and xhtml export transforms. Install this to enable docbook export.
- additional AportisDoc, Pocket Excel and Pocket Word import filters.

%package testtools
Summary:       Testtools for LibreOffice
Group:         Development/Tools
#Requires:      %{name}-ure = %{version}-%{release}
Requires:      %{name}-core = %{version}-%{release}
Requires:      %{name}-writer = %{version}-%{release}
Requires:      %{name}-calc = %{version}-%{release}
Requires:      %{name}-draw = %{version}-%{release}
Requires:      %{name}-impress = %{version}-%{release}
Requires:      %{name}-base = %{version}-%{release}
Requires:      %{name}-math = %{version}-%{release}
#Requires:      %{name}-bsh = %{version}-%{release}
#Requires:      %{name}-rhino = %{version}-%{release}
Obsoletes:     OpenOffice-testtool

%description testtools
QA tools for LibreOffice, enables automated testing.

%package reportbuilder
Summary:       LibreOffice Report builder optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description reportbuilder
The LibreOffice Report builder optional extension.

%package presenter-screen
Summary:       LibreOffice presenter screen optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description presenter-screen
The LibreOffice presenter screen builder optional extension.

%package presentation-minimizer
Summary:       LibreOffice presentation minimizer optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description presentation-minimizer
The LibreOffice presentation minimizer optional extension.

%package postgresql
Summary:       LibreOffice postgresql optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description postgresql
The LibreOffice postgresql optional extension.

%package pdfimport
Summary:       LibreOffice PDF import optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description pdfimport
The LibreOffice PDF import optional extension.

%package pythonscript
Summary:       LibreOffice script provider for Python optional extension
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description pythonscript
The LibreOffice script provider for Python optional extension.

#%package ure
#Summary:       UNO Runtime Environment
#Group:         Development/Libraries/Java
#Requires:      java-gcj-compat-runtime
#Requires:      java-openjdk-runtime
#Requires:      unzip
#
#%description ure
#UNO is the component model of LibreOffice. UNO offers interoperability between programming languages, other components models and hardware architectures, either in process or over process boundaries, in the Intranet as well as in the Internet. UNO components may be implemented in and accessed from any programming language for which a UNO implementation (AKA language binding) and an appropriate bridge or adapter exists

%package sdk
Summary:       Software Development Kit for LibreOffice
Group:         Development/Tools
#Requires:      %{name}-ure = %{version}-%{release}
Requires:      %{name}-core = %{version}-%{release}
Requires:      unzip

%description sdk
The LibreOffice SDK is an add-on for the LibreOffice office suite. It provides the necessary tools for programming using the LibreOffice APIs and for creating extensions (UNO components) for LibreOffice.  To set the build environment for building against the sdk use %{sdkinstdir}/setsdkenv_unix.sh.

%package sdk-doc
Summary:       Software Development Kit documentation for LibreOffice
Group:         Documentation
Requires:      %{name}-sdk = %{version}-%{release}

%description sdk-doc
This provides documentation for programming using the LibreOffice APIs and examples of creating extensions (UNO components) for LibreOffice.

#%package headless
#Summary:       LibreOffice Headless plug-in
#Group:         Development/Libraries
##Requires:      %{name}-ure = %{version}-%{release}
#Requires:      %{name}-core = %{version}-%{release}
#
#%description headless
#A plug-in for LibreOffice that enables it to function without an X server.
#It implements the -headless command line option and allows LibreOffice to be used as a backend server for e.g. document conversion.

%package kde
Summary:       LibreOffice KDE integration plug-in
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-KDE

%description kde
A plug-in for LibreOffice that enables integration into the KDE desktop environment.

%package gnome
Summary:       LibreOffice GNOME integration plug-in
Group:         Graphical Desktop/Applications/Office
Requires:      %{name}-core = %{version}-%{release}

%description gnome
A plug-in for LibreOffice that enables integration into the GNOME desktop environment.

%debug_package

%prep
#% setup -q -b 2 -b 3 -b4 -a5
%setup -q -c -T -D
:<< ____EOF

#rm -rf libreoffice-*/git-hooks
#for a in libreoffice-*/*; do mv $PWD/$a .; done
##remove "debugging" translations
#rm -rf l10n/source/kid

#mv translations src

%patch12 -p1 -b .libreoffice-installfix.patch
%patch45 -p1
#%patch46 -p1

touch scripting/source/pyprov/delzip
#touch scripting/util/provider/beanshell/delzip
#touch scripting/util/provider/javascript/delzip

mkdir -p ext_sources
#cp %{SOURCE20} ext_sources/185d60944ea767075d27247c3162b3bc-unowinreg.dll
#ln -s %{SOURCE4} ext_sources
ln -s %{SOURCE23} ext_sources
ln -s %{SOURCE24} ext_sources
# unowinreg.dll must be a file not a symlink or the result will become a broken symlink
cp %{SOURCE25} ext_sources/
ln -s %{SOURCE26} ext_sources
ln -s %{SOURCE27} ext_sources
ln -s %{SOURCE28} ext_sources
ln -s %{SOURCE29} ext_sources
ln -s %{SOURCE30} ext_sources
ln -s %{SOURCE31} ext_sources
ln -s %{SOURCE32} ext_sources
ln -s %{SOURCE33} ext_sources
ln -s %{SOURCE34} ext_sources
ln -s %{SOURCE35} ext_sources

chmod +x bin/unpack-sources

# FIXME: 5.0.4.2 workaround for test failing
if [ -e writerperfect/qa/unit/data/impress/libetonyek/fail/v6.zip ]; then \
  mv writerperfect/qa/unit/data/impress/libetonyek/fail/v6.zip \
     writerperfect/qa/unit/data/impress/libetonyek/pass/v6.zip
fi

## FIXME: WORKAROUND: disable failing tests
#sed -i -e "\
#/CppunitTest_emfio_emf_test/d;\
#/CppunitTest_chart2_import/d;\
#/CppunitTest_chart2_export/d;\
#/CppunitTest_chart2_pivot_chart_test/d;\
#/CppunitTest_sd_import_tests/d;\
#/CppunitTest_sd_misc_tests/d;\
#/CppunitTest_sd_export_ooxml2/d;\
#/CppunitTest_sd_export_tests/d;\
#/CppunitTest_sd_tiledrendering/d;\
#/CppunitTest_sd_export_ooxml1/d;\
#/CppunitTest_sc_filters_test/d;\
#/CppunitTest_sc_pivottable_filters_test/d;\
#/CppunitTest_sc_subsequent_export_test/d;\
#/CppunitTest_sccomp_swarmsolvertest/d;\
#/CppunitTest_sccomp_solver/d;\
#/CppunitTest_svx_unit/d;\
#/CppunitTest_sw_fodfexport/d;\
#/CppunitTest_sw_layoutwriter/d;\
#/CppunitTest_sw_ww8export2/d;\
#/CppunitTest_sw_ooxmlexport/d;\
#/CppunitTest_sw_ooxmlexport2/d;\
#/CppunitTest_sw_ooxmlexport7/d;\
#/CppunitTest_sw_ooxmlexport11/d;\
#/CppunitTest_sw_odfexport/d;\
#/CppunitTest_sw_rtfexport5/d;\
#/CppunitTest_sw_uiwriter/d;\
#/CppunitTest_tools_test/d;\
#/CppunitTest_xmlsecurity_signing/d;\
#" emfio/Module_emfio.mk sd/Module_sd.mk sc/Module_sc.mk sw/Module_sw.mk \
#  xmlsecurity/Module_xmlsecurity.mk chart2/Module_chart2.mk \
#  tools/Module_tools.mk sccomp/Module_sccomp.mk svx/Module_svx.mk

%build
echo build start time is `date`, diskspace: `df -h . | tail -n 1`

export JAVA_HOME=%{java_home}
#:<< ___EOF

#./autogen.sh

%configure \
  --enable-release-build \
  --disable-fetch-external \
  --disable-debug \
  --with-vendor="%{distribution}" \
  --with-branding=`pwd`/branding \
  --with-build-version="Ver: %{version}-%{release}" \
  --disable-epm \
  --enable-gio \
  --enable-evolution2 \
  --enable-dbus \
  --enable-qt5 \
  --enable-kf5 \
  --with-system-libs \
  --with-system-headers \
  --with-system-mythes \
  --with-system-dicts \
  --with-external-dict-dir=%{_datadir}/myspell \
  --with-external-hyph-dir=%{_datadir}/hyphen \
  --with-external-thes-dir=%{_datadir}/mythes \
  --without-myspell-dicts \
  --without-fonts \
  --with-lang=ALL \
  --with-external-tar=$PWD/ext_sources \
  --with-system-mdds \
%if %with_system_hsqldb
  --with-system-hsqldb \
  --with-hsqldb-jar=$(build-classpath hsqldb-1.8.0.10) \
%else
  --without-system-hsqldb \
%endif
  --with-ant-home=%{_datadir}/apache-ant \
  --with-system-apache-commons \
  --with-system-jfreereport \
  --with-jdk-home=$JAVA_HOME \
  --with-system-beanshell \
  --with-beanshell-jar=$(build-classpath bsh2/bsh) \
  --with-system-libwpd \
  --with-system-libwpg \
  --with-system-libwps \
  PYTHON=%{__python3} \
  --with-system-boost \
  --with-system-cairo \
  --with-system-clucene \
  --with-system-curl \
  --with-system-expat \
  --with-system-icu \
  --with-system-neon \
  --with-system-neon \
  --with-system-redland \
  --with-system-zlib \
  --with-system-openssl \
  --with-system-graphite \
  --enable-split-app-modules \
  --enable-split-opt-features

#  --enable-symbols \
#  --enable-graphite \
#  --with-system-mozilla=libxul \
#  --with-unix-wrapper=%{name} \
#  --disable-mathmldtd \
#  --with-vba-package-format="builtin" \
#  --with-system-mysql \
#  --without-afms \
#  --with-intro-bitmap=%{SOURCE32} \
#  --with-intro-progressbar-position=60,316 \
#  --with-intro-progressbar-size=409,8 \

#___EOF

for i in $RPM_OPT_FLAGS; do
        case "$i" in
                -O?|-pipe|-Wall|-g|-fexceptions) continue;;
        esac
        ARCH_FLAGS="$ARCH_FLAGS $i"
done
export ARCH_FLAGS

%make build-nocheck

make -C cli_ure
#make -C unoil

##generate the icons and mime type stuff
#export DESTDIR=../../../output
#export ICON_SOURCE_DIR=../icons
##export KDEMAINDIR=%{_kde4_prefix}
#export KDEMAINDIR=%{_prefix}
#export GNOMEDIR=%{_prefix}
#export GNOME_MIME_THEME=hicolor
#
#cd sysui/desktop/share
#./create_tree.sh

echo build end time is `date`, diskspace: `df -h . | tail -n 1`

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# Workaround for: ERROR: Include file cliuhttp://www.lastampa.it/reversion.mk not found!
make distro-pack-install DESTDIR=%{buildroot}

#sed -i "s|\[|*|;s|\]|*|" file-lists/sdk_doc_list.txt
sed -i "s|%{_libdir}/libreoffice/help/bn-IN.*||" file-lists/lang_bn_IN_list.txt

# NOTE: if the following installation error occurs:
#
#: ERROR: Missing files
#: in function: remove_Files_Without_Sourcedirectory
#: ***************************************************************
#
# remove the file from: unxlngi6.pro/bin/setup_osl.ins

export `grep "^PRODUCTVERSIONSHORT =" solenv/inc/productversion.mk | sed -e "s/ //g"`
export `grep "PRODUCTVERSION[ ]*=[ ]*" solenv/inc/productversion.mk | sed -e "s/ //g"`

find %{buildroot}%{baseinstdir} -exec chmod +w {} \;
find %{buildroot}%{baseinstdir} -type d -exec chmod 0755 {} \;

pic=0
executable=0
for foo in `find %{buildroot}%{instdir} -name "*" -exec file {} \;| grep ": ELF" | cut -d: -f 1` ; do
    chmod +wx $foo
    ls -asl $foo
    result=`readelf -d $foo | grep TEXTREL` || true
    if [ "$result" != "" ]; then
        echo "TEXTREL Warning: $foo is b0rked (-fpic missing)"
        pic=1
    fi
    result=`readelf -l $foo | grep GNU_STACK | grep RWE` || true
    if [ "$result" != "" ]; then
        echo "GNU_STACK Warning: $foo is b0rked (-noexecstack missing)"
        executable=1
    fi
done
if [ $pic == 1 ]; then false; fi
if [ $executable == 1 ]; then false; fi

#ln -s %{baseinstdir}/program/soffice %{buildroot}%{_bindir}/libreoffice$PRODUCTVERSION

(cd %{buildroot}%{baseinstdir}/share/xdg/
chmod u+w *.desktop
#rm -rf printeradmin.desktop
for file in *.desktop; do
    sed -i -e "s/Icon=libreoffice$PRODUCTVERSIONSHORT/Icon=libreoffice/g" $file
    echo X-GIO-NoFuse=true >> $file
done
echo "StartupNotify=true" >> base.desktop
echo "StartupNotify=true" >> calc.desktop
echo "StartupNotify=true" >> impress.desktop
echo "StartupNotify=true" >> writer.desktop
echo "StartupNotify=true" >> math.desktop
echo "StartupNotify=true" >> draw.desktop
echo "TryExec=lobase" >> base.desktop
echo "TryExec=localc" >> calc.desktop
echo "TryExec=loimpress" >> impress.desktop
echo "TryExec=lowriter" >> writer.desktop
echo "TryExec=lomath" >> math.desktop
echo "TryExec=lodraw" >> draw.desktop
echo "NoDisplay=true" >> math.desktop
echo "NoDisplay=true" >> startcenter.desktop
#sed -i -e "/NoDisplay=true/d" qstart.desktop
)

%if %with_test
%check
source ./Linux*Env.Set.sh
cd test
build && deliver -link
cd ../smoketestoo_native
##JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY="1" works around flawed accessibility check
##SAL_USE_VCLPLUGIN="svp" uses the headless plugin for these tests
JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY="1" SAL_USE_VCLPLUGIN="svp" timeout -k 2m 2h build.pl
%endif

#cat file-lists/kde_list.txt >> file-lists/kde4_list.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post core
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  for theme in hicolor locolor; do
    if test -d "%{_datadir}/icons/$theme"; then
      if test -f "%{_datadir}/icons/$theme/index.theme"; then
        touch --no-create %{_datadir}/icons/$theme
        gtk-update-icon-cache -q %{_datadir}/icons/$theme
      fi
    fi
  done
fi

%postun core
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database %{_datadir}/applications &> /dev/null || :
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  for theme in hicolor locolor; do
    if test -d "%{_datadir}/icons/$theme"; then
      if test -f "%{_datadir}/icons/$theme/index.theme"; then
        touch --no-create %{_datadir}/icons/$theme
        gtk-update-icon-cache -q %{_datadir}/icons/$theme
      fi
    fi
  done
fi

%post base
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun base
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post calc
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun calc
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post draw
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun draw
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post writer
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun writer
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post impress
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun impress
update-desktop-database %{_datadir}/applications &> /dev/null || :

%post math
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun math
update-desktop-database %{_datadir}/applications &> /dev/null || :

%files core -f file-lists/common_list.txt
%defattr(-,root,root)
%{_datadir}/appdata/org.libreoffice.kde.metainfo.xml
%{_libdir}/libreoffice/program/libkf5be1lo.so
%{_libdir}/libreoffice/program/libvclplug_kf5lo.so
%{_libdir}/libreoffice/program/libvclplug_qt5lo.so

%files base -f file-lists/base_list.txt
%defattr(-,root,root)
%{_datadir}/appdata/libreoffice-base.appdata.xml

%files calc -f file-lists/calc_list.txt
%defattr(-,root,root)
%{_datadir}/appdata/libreoffice-calc.appdata.xml

%files draw -f file-lists/draw_list.txt
%defattr(-,root,root)
%{_datadir}/appdata/libreoffice-draw.appdata.xml

%files writer -f file-lists/writer_list.txt
%defattr(-,root,root)
%{_datadir}/appdata/libreoffice-writer.appdata.xml

%files impress -f file-lists/impress_list.txt
%defattr(-,root,root)
%{_datadir}/appdata/libreoffice-impress.appdata.xml

%files math -f file-lists/math_list.txt
%defattr(-,root,root)

%files filters -f file-lists/filters_list.txt
%defattr(-,root,root)

%files gnome -f file-lists/gnome_list.txt
%defattr(-,root,root)

%files mailmerge -f file-lists/mailmerge_list.txt
%defattr(-,root,root)

%files pyuno -f file-lists/pyuno_list.txt
%defattr(-,root,root)

%files kit -f file-lists/orig/gid_Module_Libreofficekit
%defattr(-,root,root)

#%files reportbuilder -f file-lists/orig/gid_Module_Optional_Extensions_REPORTDESIGN
#%defattr(-,root,root)

#%files presenter-screen -f file-lists/orig/gid_Module_Optional_Extensions_PRESENTER_SCREEN
#%defattr(-,root,root)

#%files presentation-minimizer -f file-lists/orig/gid_Module_Optional_Extensions_MINIMIZER
#%defattr(-,root,root)

%files postgresql -f file-lists/postgresql_list.txt
%defattr(-,root,root)

#%files pdfimport -f file-lists/orig/gid_Module_Optional_Extensions_PDFIMPORT
#%defattr(-,root,root)

#%files pythonscript -f file-lists/orig/gid_Module_Optional_Extensions_Script_Provider_For_Python
#%defattr(-,root,root)

%files bsh -f file-lists/orig/gid_Module_Optional_Extensions_Script_Provider_For_BS
%defattr(-,root,root)

%files sdk -f file-lists/sdk_list.txt
%defattr(-,root,root)
#%{_libdir}/girepository-1.0/LOKDocView-*.typelib
#%{_datadir}/gir-1.0/LOKDocView-*.gir

%files sdk-doc -f file-lists/sdk_doc_list.txt
%defattr(-,root,root)

#%files testtools -f file-lists/testtool_list.txt
#%defattr(-,root,root)

%if %{langpacks}
%package i18n-af
Summary:       Afrikaans language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Requires:      hunspell-af
Requires:      hyphen-af
Obsoletes:     OpenOffice-i18n-af
Provides:      libreofficei18n

%description i18n-af
This package contains additional Afrikaans translations and resources for LibreOffice.

%files i18n-af -f file-lists/lang_af_list.txt
%defattr(-,root,root)

%package i18n-am
Summary:       Amharic language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Provides:      libreofficei18n

%description i18n-am
This package contains additional Amharic translations and resources for LibreOffice.

%files i18n-am -f file-lists/lang_am_list.txt
%defattr(-,root,root)

%package i18n-ar
Summary:       Arabic language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Requires:      hunspell-ar
Obsoletes:     OpenOffice-i18n-ar
Provides:      libreofficei18n

%description i18n-ar
This package contains additional Arabic translations and resources for LibreOffice.

%files i18n-ar -f file-lists/lang_ar_list.txt
%defattr(-,root,root)

%package i18n-as
Summary:       Assamese language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-as
#Requires:      hyphen-as
Obsoletes:     OpenOffice-i18n-as_IN
Provides:      libreofficei18n

%description i18n-as
This package contains additional Assamese translations and resources for LibreOffice.

%files i18n-as -f file-lists/lang_as_list.txt
%defattr(-,root,root)

%package i18n-ast
Summary:       Asturianu language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-ast
Provides:      libreofficei18n

%description i18n-ast
This package contains additional Asturianu translations and resources for LibreOffice.

%files i18n-ast -f file-lists/lang_ast_list.txt
%defattr(-,root,root)

%package i18n-be
Summary:       Belarusian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-be
Provides:      libreofficei18n

%description i18n-be
This package contains additional Belarusian translations and resources for LibreOffice.

%files i18n-be -f file-lists/lang_be_list.txt
%defattr(-,root,root)

%package i18n-bg
Summary:       Bulgarian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Requires:      hunspell-bg
Requires:      hyphen-bg
Requires:      mythes-bg
Obsoletes:     OpenOffice-i18n-bg
Provides:      libreofficei18n

%description i18n-bg
This package contains additional Bulgarian translations and resources for LibreOffice.

%files i18n-bg -f file-lists/lang_bg_list.txt
%defattr(-,root,root)

%package i18n-bn
Summary:       Bengali language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-bn
Obsoletes:     OpenOffice-i18n-bn-BD
Provides:      libreofficei18n

%description i18n-bn
This package contains additional Bengali translations and resources for LibreOffice.

%files i18n-bn -f file-lists/lang_bn_list.txt
%defattr(-,root,root)

%package i18n-bn_IN
Summary:       Bengali (India) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-bn_IN
Provides:      libreofficei18n

%description i18n-bn_IN
This package contains additional Bengali (India) translations and resources for LibreOffice.

%files i18n-bn_IN -f file-lists/lang_bn_IN_list.txt
%defattr(-,root,root)

%package i18n-bo
Summary:       Tibetan language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-bo
Provides:      libreofficei18n

%description i18n-bo
This package contains additional Tibetan translations and resources for LibreOffice.

%files i18n-bo -f file-lists/lang_bo_list.txt
%defattr(-,root,root)

%package i18n-br
Summary:       Breton language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-br
Provides:      libreofficei18n

%description i18n-br
This package contains additional Breton translations and resources for LibreOffice.

%files i18n-br -f file-lists/lang_br_list.txt
%defattr(-,root,root)

%package i18n-brx
Summary:       Bodo language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-brx
Provides:      libreofficei18n

%description i18n-brx
This package contains additional Bodo translations and resources for LibreOffice.

%files i18n-brx -f file-lists/lang_brx_list.txt
%defattr(-,root,root)

%package i18n-bs
Summary:       Bosnian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-bs
Provides:      libreofficei18n

%description i18n-bs
This package contains additional Bosnian translations and resources for LibreOffice.

%files i18n-bs -f file-lists/lang_bs_list.txt
%defattr(-,root,root)

%package i18n-ca
Summary:       Catalan language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=ca)
#Requires:      hunspell-ca
#Requires:      hyphen-ca
#Requires:      mythes-ca
Obsoletes:     OpenOffice-i18n-ca
Provides:      libreofficei18n

%description i18n-ca
This package contains additional Catalan translations and resources for LibreOffice.

%files i18n-ca -f file-lists/lang_ca_list.txt
%defattr(-,root,root)

%package i18n-ca_valencia
Summary:       Catalan (Valencia) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-ca_XV
Provides:      libreofficei18n
Provides:      %{name}-i18n-ca_XV
Obsoletes:     %{name}-i18n-ca_XV

%description i18n-ca_valencia
This package contains additional Catalan (Valencia) translations and resources for LibreOffice.

%files i18n-ca_valencia -f file-lists/lang_ca_valencia_list.txt
%defattr(-,root,root)

%package i18n-cs
Summary:       Czech language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-cs
Provides:      libreofficei18n

%description i18n-cs
This package contains additional Czech translations and resources for LibreOffice.

%files i18n-cs -f file-lists/lang_cs_list.txt
%defattr(-,root,root)

%package i18n-cy
Summary:       Welsh language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=cy)
#Requires:      hunspell-cy
#Requires:      hyphen-cy
Obsoletes:     OpenOffice-i18n-cy
Provides:      libreofficei18n

%description i18n-cy
This package contains additional Welsh translations and resources for LibreOffice.

%files i18n-cy -f file-lists/lang_cy_list.txt
%defattr(-,root,root)

%package i18n-da
Summary:       Danish language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-da
#Requires:      hyphen-da
#Requires:      mythes-da
Obsoletes:     OpenOffice-i18n-da
Provides:      libreofficei18n

%description i18n-da
This package contains additional Danish translations and resources for LibreOffice.

%files i18n-da -f file-lists/lang_da_list.txt
%defattr(-,root,root)

%package i18n-de
Summary:       German language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-de
#Requires:      hyphen-de
#Requires:      mythes-de
Obsoletes:     OpenOffice-i18n-de
Provides:      libreofficei18n

%description i18n-de
This package contains additional German translations and resources for LibreOffice.

%files i18n-de -f file-lists/lang_de_list.txt
%defattr(-,root,root)

%package i18n-dgo
Summary:       Dogri language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-dgo
Provides:      libreofficei18n

%description i18n-dgo
This package contains additional Dogri translations and resources for LibreOffice.

%files i18n-dgo -f file-lists/lang_dgo_list.txt
%defattr(-,root,root)

%package i18n-dsb
Summary:       Lower Sorbian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Provides:      libreofficei18n

%description i18n-dsb
This package contains additional Lower Sorbian translations and resources for LibreOffice.

%files i18n-dsb -f file-lists/lang_dsb_list.txt
%defattr(-,root,root)

%package i18n-dz
Summary:       Dzongkha language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=dz)
Obsoletes:     OpenOffice-i18n-dz
Provides:      libreofficei18n

%description i18n-dz
This package contains additional Dzongkha translations and resources for LibreOffice.

%files i18n-dz -f file-lists/lang_dz_list.txt
%defattr(-,root,root)

%package i18n-el
Summary:       Greek language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=el)
#Requires:      hunspell-el
#Requires:      hyphen-el
#Requires:      mythes-el
Obsoletes:     OpenOffice-i18n-el
Provides:      libreofficei18n

%description i18n-el
This package contains additional Greek translations and resources for LibreOffice.

%files i18n-el -f file-lists/lang_el_list.txt
%defattr(-,root,root)

%package i18n-en_GB
Summary:       English (GB) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Requires:      mythes-en
Obsoletes:     OpenOffice-i18n-en
Obsoletes:     OpenOffice-i18n-en_GB
Provides:      libreofficei18n

%description i18n-en_GB
This package contains additional English (GB) translations and resources for LibreOffice.

%files i18n-en_GB -f file-lists/lang_en_GB_list.txt
%defattr(-,root,root)

%package i18n-en_US
Summary:       English (US) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Requires:      mythes-en
Obsoletes:     OpenOffice-i18n-en
Obsoletes:     OpenOffice-i18n-en_US
Provides:      libreoffice-i18n-en
Provides:      libreofficei18n

%description i18n-en_US
This package contains additional English (US) translations and resources for LibreOffice.

%files i18n-en_US -f file-lists/lang_en_US_list.txt
%defattr(-,root,root)

%package i18n-en_ZA
Summary:       English (ZA) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Requires:      mythes-en
Obsoletes:     OpenOffice-i18n-en_ZA
Provides:      libreofficei18n

%description i18n-en_ZA
This package contains additional English (ZA) translations and resources for LibreOffice.

%files i18n-en_ZA -f file-lists/lang_en_ZA_list.txt
%defattr(-,root,root)

%package i18n-eo
Summary:       Esperanto language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-eo
Provides:      libreofficei18n

%description i18n-eo
This package contains additional Esperanto translations and resources for LibreOffice.

%files i18n-eo -f file-lists/lang_eo_list.txt
%defattr(-,root,root)

%package i18n-es
Summary:       Spanish language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Requires:      hunspell-es
Requires:      hyphen-es
Requires:      mythes-es
Obsoletes:     OpenOffice-i18n-es
Provides:      libreofficei18n

%description i18n-es
This package contains additional Spanish translations and resources for LibreOffice.

%files i18n-es -f file-lists/lang_es_list.txt
%defattr(-,root,root)

%package i18n-et
Summary:       Estonian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=es)
#Requires:      hunspell-et
#Requires:      hyphen-et
Obsoletes:     OpenOffice-i18n-et
Provides:      libreofficei18n

%description i18n-et
This package contains additional Estonian translations and resources for LibreOffice.

%files i18n-et -f file-lists/lang_et_list.txt
%defattr(-,root,root)

%package i18n-eu
Summary:       Basque language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-eu
#Requires:      hyphen-eu
Obsoletes:     OpenOffice-i18n-eu
Provides:      libreofficei18n

%description i18n-eu
This package contains additional Basque translations and resources for LibreOffice.

%files i18n-eu -f file-lists/lang_eu_list.txt
%defattr(-,root,root)

%package i18n-fa
Summary:       Persian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-fa
Provides:      libreofficei18n

%description i18n-fa
This package contains additional Persian translations and resources for LibreOffice.

%files i18n-fa -f file-lists/lang_fa_list.txt
%defattr(-,root,root)

%package i18n-fi
Summary:       Finnish language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-fi
Provides:      libreofficei18n

%description i18n-fi
This package contains additional Finnish translations and resources for LibreOffice.

%files i18n-fi -f file-lists/lang_fi_list.txt
%defattr(-,root,root)

%package i18n-fr
Summary:       French language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-es
#Requires:      hyphen-es
#Requires:      mythes-es
Obsoletes:     OpenOffice-i18n-fr
Provides:      libreofficei18n

%description i18n-fr
This package contains additional French translations and resources for LibreOffice.

%files i18n-fr -f file-lists/lang_fr_list.txt
%defattr(-,root,root)

%package i18n-fy
Summary:       Frisian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-es
#Requires:      hyphen-es
#Requires:      mythes-es
Provides:      libreofficei18n

%description i18n-fy
This package contains additional Frisian translations and resources for LibreOffice.

%files i18n-fy -f file-lists/lang_fy_list.txt
%defattr(-,root,root)

%package i18n-ga
Summary:       Irish language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-ga
#Requires:      hyphen-ga
#Requires:      mythes-ga
Obsoletes:     OpenOffice-i18n-ga
Provides:      libreofficei18n

%description i18n-ga
This package contains additional Irish translations and resources for LibreOffice.

%files i18n-ga -f file-lists/lang_ga_list.txt
%defattr(-,root,root)

%package i18n-gd
Summary:       Gaelic (Scottish) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Provides:      libreofficei18n

%description i18n-gd
This package contains additional Gaelic (Scottish) translations and resources for LibreOffice.

%files i18n-gd -f file-lists/lang_gd_list.txt
%defattr(-,root,root)

%package i18n-gl
Summary:       Galician language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=gl)
#Requires:      hunspell-gl
#Requires:      hyphen-gl
#Requires:      mythes-gl
Obsoletes:     OpenOffice-i18n-gl
Provides:      libreofficei18n

%description i18n-gl
This package contains additional Galician translations and resources for LibreOffice.

%files i18n-gl -f file-lists/lang_gl_list.txt
%defattr(-,root,root)

%package i18n-gu
Summary:       Gujarati language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=gu)
#Requires:      hunspell-gu
#Requires:      hyphen-gu
Obsoletes:     OpenOffice-i18n-gu
Obsoletes:     OpenOffice-i18n-gu_IN
Provides:      libreofficei18n

%description i18n-gu
This package contains additional Gujarati translations and resources for LibreOffice.

%files i18n-gu -f file-lists/lang_gu_list.txt
%defattr(-,root,root)

%package i18n-gug
Summary:       Paraguayan Guaraní language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=gu)
#Requires:      hunspell-gu
#Requires:      hyphen-gu
Obsoletes:     OpenOffice-i18n-gu
Obsoletes:     OpenOffice-i18n-gu_IN
Provides:      libreofficei18n

%description i18n-gug
This package contains additional Paraguayan Guaraní translations and resources for LibreOffice.

%files i18n-gug -f file-lists/lang_gug_list.txt
%defattr(-,root,root)

%package i18n-he
Summary:       Hebrew language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=he)
#Requires:      hunspell-he
Obsoletes:     OpenOffice-i18n-he
Provides:      libreofficei18n

%description i18n-he
This package contains additional Hebrew translations and resources for LibreOffice.

%files i18n-he -f file-lists/lang_he_list.txt
%defattr(-,root,root)

%package i18n-hi
Summary:       Hindi language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=hi)
#Requires:      hunspell-hi
#Requires:      hyphen-hi
Obsoletes:     OpenOffice-i18n-hi
Provides:      libreofficei18n

%description i18n-hi
This package contains additional Hindi translations and resources for LibreOffice.

%files i18n-hi -f file-lists/lang_hi_list.txt
%defattr(-,root,root)

%package i18n-hr
Summary:       Croatian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-hr
#Requires:      hyphen-hr
Obsoletes:     OpenOffice-i18n-hr
Provides:      libreofficei18n

%description i18n-hr
This package contains additional Croatian translations and resources for LibreOffice.

%files i18n-hr -f file-lists/lang_hr_list.txt
%defattr(-,root,root)

%package i18n-hsb
Summary:       Upper Sorbian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-hr
#Requires:      hyphen-hr
Obsoletes:     OpenOffice-i18n-hsb
Provides:      libreofficei18n

%description i18n-hsb
This package contains additional Upper Sorbian translations and resources for LibreOffice.

%files i18n-hsb -f file-lists/lang_hsb_list.txt
%defattr(-,root,root)

%package i18n-hu
Summary:       Hungarian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-hu
#Requires:      hyphen-hu
#Requires:      mythes-hu
Obsoletes:     OpenOffice-i18n-hu
Provides:      libreofficei18n

%description i18n-hu
This package contains additional Hungarian translations and resources for LibreOffice.

%files i18n-hu -f file-lists/lang_hu_list.txt
%defattr(-,root,root)

%package i18n-id
Summary:       Bahasa language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-id
#Requires:      hyphen-id
#Requires:      mythes-id
Obsoletes:     OpenOffice-i18n-id
Provides:      libreofficei18n

%description i18n-id
This package contains additional Bahasa translations and resources for LibreOffice.

%files i18n-id -f file-lists/lang_id_list.txt
%defattr(-,root,root)

%package i18n-is
Summary:       Icelandic language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-id
#Requires:      hyphen-id
#Requires:      mythes-id
Obsoletes:     OpenOffice-i18n-is
Provides:      libreofficei18n

%description i18n-is
This package contains additional Icelandic translations and resources for LibreOffice.

%files i18n-is -f file-lists/lang_is_list.txt
%defattr(-,root,root)

%package i18n-it
Summary:       Italian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=it)
Requires:      hunspell-it
Requires:      hyphen-it
Requires:      mythes-it
Obsoletes:     OpenOffice-i18n-it
Provides:      libreofficei18n

%description i18n-it
This package contains additional Italian translations and resources for LibreOffice.

%files i18n-it -f file-lists/lang_it_list.txt
%defattr(-,root,root)


%package i18n-ja
Summary:       Japanese language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-ja
Provides:      libreofficei18n

%description i18n-ja
This package contains additional Japanese translations and resources for LibreOffice.

%files i18n-ja -f file-lists/lang_ja_list.txt
%defattr(-,root,root)

%package i18n-ka
Summary:       Georgian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-ka
Provides:      libreofficei18n

%description i18n-ka
This package contains additional Georgian translations and resources for LibreOffice.

%files i18n-ka -f file-lists/lang_ka_list.txt
%defattr(-,root,root)

%package i18n-kab
Summary:       Kabyle language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-kab
Provides:      libreofficei18n

%description i18n-kab
This package contains additional Kabyle translations and resources for LibreOffice.

%files i18n-kab -f file-lists/lang_kab_list.txt
%defattr(-,root,root)

%package i18n-kk
Summary:       Kazakh language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-kk
Provides:      libreofficei18n

%description i18n-kk
This package contains additional Kazakh translations and resources for LibreOffice.

%files i18n-kk -f file-lists/lang_kk_list.txt
%defattr(-,root,root)

%package i18n-km
Summary:       Khmer (Cambodia) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-km
Provides:      libreofficei18n

%description i18n-km
This package contains additional Khmer (Cambodia) translations and resources for LibreOffice.

%files i18n-km -f file-lists/lang_km_list.txt
%defattr(-,root,root)

%package i18n-kmr_Latn
Summary:       Kurdish (Turkey) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}

%description i18n-kmr_Latn
This package contains additional Kurdish (Turkey) translations and resources for LibreOffice.

%files i18n-kmr_Latn -f file-lists/lang_kmr_Latn_list.txt
%defattr(-,root,root)

%package i18n-kn
Summary:       Kannada language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=kn)
#Requires:      hunspell-kn
#Requires:      hyphen-kn
Obsoletes:     OpenOffice-i18n-kn_IN
Provides:      libreofficei18n

%description i18n-kn
This package contains additional Kannada translations and resources for LibreOffice.

%files i18n-kn -f file-lists/lang_kn_list.txt
%defattr(-,root,root)

%package i18n-ko
Summary:       Korean language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-ko
Obsoletes:     OpenOffice-i18n-ko
Provides:      libreofficei18n

%description i18n-ko
This package contains additional Korean translations and resources for LibreOffice.

%files i18n-ko -f file-lists/lang_ko_list.txt
%defattr(-,root,root)

%package i18n-kok
Summary:       Konkani language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-kok
Provides:      libreofficei18n

%description i18n-kok
This package contains additional Konkani translations and resources for LibreOffice.

%files i18n-kok -f file-lists/lang_kok_list.txt
%defattr(-,root,root)

%package i18n-ks
Summary:       Kashmiri language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-ks
Provides:      libreofficei18n

%description i18n-ks
This package contains additional Kashmiri translations and resources for LibreOffice.

%files i18n-ks -f file-lists/lang_ks_list.txt
%defattr(-,root,root)

%package i18n-ku
Summary:       Kurdish language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-ku
Provides:      libreofficei18n

%description i18n-ku
This package contains additional Kurdish translations and resources for LibreOffice.

#%files i18n-ku -f file-lists/lang_ku_list.txt
#%defattr(-,root,root)

%package i18n-lb
Summary:       Luxembourgish language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Provides:      libreofficei18n

%description i18n-lb
This package contains additional Luxembourgish translations and resources for LibreOffice.

%files i18n-lb -f file-lists/lang_lb_list.txt
%defattr(-,root,root)

%package i18n-lo
Summary:       Lao language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-lo
Provides:      libreofficei18n

%description i18n-lo
This package contains additional Lao translations and resources for LibreOffice.

%files i18n-lo -f file-lists/lang_lo_list.txt
%defattr(-,root,root)

%package i18n-lt
Summary:       Lithuanian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-lt
#Requires:      hyphen-lt
Obsoletes:     OpenOffice-i18n-lt
Provides:      libreofficei18n

%description i18n-lt
This package contains additional Lithuanian translations and resources for LibreOffice.

%files i18n-lt -f file-lists/lang_lt_list.txt
%defattr(-,root,root)

%package i18n-lv
Summary:       Latvian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-lv
Provides:      libreofficei18n

%description i18n-lv
This package contains additional Latvian translations and resources for LibreOffice.

%files i18n-lv -f file-lists/lang_lv_list.txt
%defattr(-,root,root)

%package i18n-mk
Summary:       Macedonian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-mk
Provides:      libreofficei18n

%description i18n-mk
This package contains additional Macedonian translations and resources for LibreOffice.

%files i18n-mk -f file-lists/lang_mk_list.txt
%defattr(-,root,root)

%package i18n-mn
Summary:       Mongolian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-mn
Provides:      libreofficei18n

%description i18n-mn
This package contains additional Mongolian translations and resources for LibreOffice.

%files i18n-mn -f file-lists/lang_mn_list.txt
%defattr(-,root,root)

%package i18n-mni
Summary:       Manipuri language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-mni
Provides:      libreofficei18n

%description i18n-mni
This package contains additional Manipuri translations and resources for LibreOffice.

%files i18n-mni -f file-lists/lang_mni_list.txt
%defattr(-,root,root)

%package i18n-mai
Summary:       Maithili language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=mai)
Obsoletes:     OpenOffice-i18n-mai
Provides:      libreofficei18n

%description i18n-mai
This package contains additional Maithili translations and resources for LibreOffice.

%files i18n-mai -f file-lists/lang_mai_list.txt
%defattr(-,root,root)

%package i18n-ml
Summary:       Malayalam language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=ml)
#Requires:      hunspell-ml
#Requires:      hyphen-ml
Obsoletes:     OpenOffice-i18n-ml_IN
Provides:      libreofficei18n

%description i18n-ml
This package contains additional Malayalam translations and resources for LibreOffice.

%files i18n-ml -f file-lists/lang_ml_list.txt
%defattr(-,root,root)

%package i18n-mr
Summary:       Marathi language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=mr)
#Requires:      hunspell-mr
#Requires:      hyphen-mr
Obsoletes:     OpenOffice-i18n-mr_IN
Provides:      libreofficei18n

%description i18n-mr
This package contains additional Marathi translations and resources for LibreOffice.

%files i18n-mr -f file-lists/lang_mr_list.txt
%defattr(-,root,root)

#%package i18n-ms
#Summary:       Malay language support for LibreOffice
#Group:         System/Internationalization
#Requires:      %{name}-core = %{version}-%{release}
##Requires:      font(:lang=ms)
##Requires:      hunspell-ms
#Obsoletes:     OpenOffice-i18n-ms
#
#%description i18n-ms
#This package contains additional Malay translations and resources for LibreOffice.
#
#%files i18n-ms -f filelist_ms
#%defattr(-,root,root)

%package i18n-my
Summary:       Burmese language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-my
Provides:      libreofficei18n

%description i18n-my
This package contains additional Burmese translations and resources for LibreOffice.

%files i18n-my -f file-lists/lang_my_list.txt
%defattr(-,root,root)

%package i18n-ne
Summary:       Nepali language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-ne
Provides:      libreofficei18n

%description i18n-ne
This package contains additional Nepali translations and resources for LibreOffice.

%files i18n-ne -f file-lists/lang_ne_list.txt
%defattr(-,root,root)

%package i18n-nb
Summary:       Norwegian Bokmål language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=nb)
#Requires:      hunspell-nb
#Requires:      hyphen-nb
#Requires:      mythes-nb
Obsoletes:     OpenOffice-i18n-nb
Provides:      libreofficei18n

%description i18n-nb
This package contains additional Norwegian Bokmål translations and resources for LibreOffice.

%files i18n-nb -f file-lists/lang_nb_list.txt
%defattr(-,root,root)

%package i18n-nl
Summary:       Dutch language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-nl
#Requires:      hyphen-nl
#Requires:      mythes-nl
Obsoletes:     OpenOffice-i18n-nl
Provides:      libreofficei18n

%description i18n-nl
This package contains additional Dutch translations and resources for LibreOffice.

%files i18n-nl -f file-lists/lang_nl_list.txt
%defattr(-,root,root)

%package i18n-nn
Summary:       Norwegian nynorsk language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=nn)
#Requires:      hunspell-nn
#Requires:      hyphen-nn
#Requires:      mythes-nn
Obsoletes:     OpenOffice-i18n-nn
Provides:      libreofficei18n

%description i18n-nn
This package contains additional Norwegian nynorsk translations and resources for LibreOffice.

%files i18n-nn -f file-lists/lang_nn_list.txt
%defattr(-,root,root)

%package i18n-nr
Summary:       Southern Ndebele language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=nr)
#Requires:      hunspell-nr
Obsoletes:     OpenOffice-i18n-nr
Provides:      libreofficei18n

%description i18n-nr
This package contains additional Southern Ndebele translations and resources for LibreOffice.

%files i18n-nr -f file-lists/lang_nr_list.txt
%defattr(-,root,root)

%package i18n-nso
Summary:       Northern Sotho language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=nso)
#Requires:      hunspell-nso
Obsoletes:     OpenOffice-i18n-ns
Provides:      libreofficei18n

%description i18n-nso
This package contains additional Northern Sotho translations and resources for LibreOffice.

%files i18n-nso -f file-lists/lang_nso_list.txt
%defattr(-,root,root)

%package i18n-oc
Summary:       Occitan language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-oc
Provides:      libreofficei18n

%description i18n-oc
This package contains additional Occitan translations and resources for LibreOffice.

%files i18n-oc -f file-lists/lang_oc_list.txt
%defattr(-,root,root)

%package i18n-om
Summary:       Oromo language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-om
Provides:      libreofficei18n

%description i18n-om
This package contains additional Oromo translations and resources for LibreOffice.

%files i18n-om -f file-lists/lang_om_list.txt
%defattr(-,root,root)

%package i18n-or
Summary:       Oriya (India) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=or)
#Requires:      hunspell-or
#Requires:      hyphen-or
Obsoletes:     OpenOffice-i18n-or_IN
Provides:      libreofficei18n

%description i18n-or
This package contains additional Oriya (India) translations and resources for LibreOffice.

%files i18n-or -f file-lists/lang_or_list.txt
%defattr(-,root,root)

%package i18n-pa_IN
Summary:       Punjabi language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=pa)
#Requires:      hunspell-pa
#Requires:      hyphen-pa
Obsoletes:     OpenOffice-i18n-pa_IN
Provides:      libreofficei18n

%description i18n-pa_IN
This package contains additional Punjabi translations and resources for LibreOffice.

%files i18n-pa_IN -f file-lists/lang_pa_IN_list.txt
%defattr(-,root,root)

%package i18n-pl
Summary:       Polish language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=pl)
#Requires:      hunspell-pl
#Requires:      hyphen-pl
#Requires:      mythes-pl
Obsoletes:     OpenOffice-i18n-pl
Provides:      libreofficei18n

%description i18n-pl
This package contains additional Polish translations and resources for LibreOffice.
# -f pl.filelist
%files i18n-pl -f file-lists/lang_pl_list.txt
%defattr(-,root,root)

%package i18n-pt_BR
Summary:       Brazilian Portuguese language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-pt
#Requires:      hyphen-pt
#Requires:      mythes-pt
Obsoletes:     OpenOffice-i18n-pt_BR
Provides:      libreofficei18n

%description i18n-pt_BR
This package contains additional Brazilian Portuguese translations and resources for LibreOffice.

%files i18n-pt_BR -f file-lists/lang_pt_BR_list.txt
%defattr(-,root,root)

%package i18n-pt
Summary:       Portuguese language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-pt
#Requires:      hyphen-pt
#Requires:      mythes-pt
Obsoletes:     OpenOffice-i18n-pt
Provides:      libreofficei18n

%description i18n-pt
This package contains additional Portuguese translations and resources for LibreOffice.

%files i18n-pt -f file-lists/lang_pt_list.txt
%defattr(-,root,root)

%package i18n-qtz
Summary:       KeyID language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Provides:      libreofficei18n

%description i18n-qtz
This package contains additional KeyID translations and resources for LibreOffice.

#%files i18n-qtz -f file-lists/lang_qtz_list.txt
#%defattr(-,root,root)

%package i18n-ro
Summary:       Romanian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=ro)
#Requires:      hunspell-ro
#Requires:      hyphen-ro
#Requires:      mythes-ro
Obsoletes:     OpenOffice-i18n-ro
Provides:      libreofficei18n

%description i18n-ro
This package contains additional Romanian translations and resources for LibreOffice.

%files i18n-ro -f file-lists/lang_ro_list.txt
%defattr(-,root,root)

%package i18n-ru
Summary:       Russian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-ru
#Requires:      hyphen-ru
#Requires:      mythes-ru
Obsoletes:     OpenOffice-i18n-ru
Provides:      libreofficei18n

%description i18n-ru
This package contains additional Russian translations and resources for LibreOffice.

%files i18n-ru -f file-lists/lang_ru_list.txt
%defattr(-,root,root)

%package i18n-rw
Summary:       Kinyarwanda language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-rw
Provides:      libreofficei18n

%description i18n-rw
This package contains additional Kinyarwanda translations and resources for LibreOffice.

%files i18n-rw -f file-lists/lang_rw_list.txt
%defattr(-,root,root)

%package i18n-sa_IN
Summary:       Sanskrit (India) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sa_IN
Provides:      libreofficei18n

%description i18n-sa_IN
This package contains additional Sanskrit (India) translations and resources for LibreOffice.

%files i18n-sa_IN -f file-lists/lang_sa_IN_list.txt
%defattr(-,root,root)

%package i18n-sat
Summary:       Santali language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sat
Provides:      libreofficei18n

%description i18n-sat
This package contains additional Santali translations and resources for LibreOffice.

%files i18n-sat -f file-lists/lang_sat_list.txt
%defattr(-,root,root)

%package i18n-sd
Summary:       Sindhi language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sd
Provides:      libreofficei18n

%description i18n-sd
This package contains additional Sindhi translations and resources for LibreOffice.

%files i18n-sd -f file-lists/lang_sd_list.txt
%defattr(-,root,root)

%package i18n-si
Summary:       Sinhalese language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-si
Provides:      libreofficei18n

%description i18n-si
This package contains additional Sinhalese translations and resources for LibreOffice.

%files i18n-si -f file-lists/lang_si_list.txt
%defattr(-,root,root)

%package i18n-sid
Summary:       Sid (?) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sd
Provides:      libreofficei18n

%description i18n-sid
This package contains additional Sid (?) translations and resources for LibreOffice.

%files i18n-sid -f file-lists/lang_sid_list.txt
%defattr(-,root,root)

%package i18n-sk
Summary:       Slovak language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sk
Provides:      libreofficei18n

%description i18n-sk
This package contains additional Slovak translations and resources for LibreOffice.

%files i18n-sk -f file-lists/lang_sk_list.txt
%defattr(-,root,root)

%package i18n-sl
Summary:       Slovenian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sl
Provides:      libreofficei18n

%description i18n-sl
This package contains additional Slovenian translations and resources for LibreOffice.

%files i18n-sl -f file-lists/lang_sl_list.txt
%defattr(-,root,root)

%package i18n-sq
Summary:       Albanien language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sq
Provides:      libreofficei18n

%description i18n-sq
This package contains additional Albanien translations and resources for LibreOffice.

%files i18n-sq -f file-lists/lang_sq_list.txt
%defattr(-,root,root)

%package i18n-sr
Summary:       Serbian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sr
Provides:      libreofficei18n

%description i18n-sr
This package contains additional Serbian translations and resources for LibreOffice.

%files i18n-sr -f file-lists/lang_sr_list.txt
%defattr(-,root,root)

%package i18n-sr_Latn
Summary:       Serbian latin language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sh
Provides:      libreofficei18n

%description i18n-sr_Latn
This package contains additional Serbian latin translations and resources for LibreOffice.

%files i18n-sr_Latn -f file-lists/lang_sr_Latn_list.txt
%defattr(-,root,root)

%package i18n-ss
Summary:       Swati language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=ss)
#Requires:      hunspell-ss
Obsoletes:     OpenOffice-i18n-ss
Provides:      libreofficei18n

%description i18n-ss
This package contains additional Swati translations and resources for LibreOffice.

%files i18n-ss -f file-lists/lang_ss_list.txt
%defattr(-,root,root)

%package i18n-st
Summary:       Southern Sotho language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=st)
#Requires:      hunspell-st
Obsoletes:     OpenOffice-i18n-st
Provides:      libreofficei18n

%description i18n-st
This package contains additional Southern Sotho translations and resources for LibreOffice.
# -f st.filelist
%files i18n-st -f file-lists/lang_st_list.txt
%defattr(-,root,root)

%package i18n-sv
Summary:       Swedish language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      hunspell-sv
#Requires:      hyphen-sv
#Requires:      mythes-sv
Obsoletes:     OpenOffice-i18n-sv
Provides:      libreofficei18n

%description i18n-sv
This package contains additional Swedish translations and resources for LibreOffice.

%files i18n-sv -f file-lists/lang_sv_list.txt
%defattr(-,root,root)

%package i18n-sw_TZ
Summary:       Swahili (Tanzania) language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-sw_TZ
Provides:      libreofficei18n

%description i18n-sw_TZ
This package contains additional Swahili (Tanzania) translations and resources for LibreOffice.

%files i18n-sw_TZ -f file-lists/lang_sw_TZ_list.txt
%defattr(-,root,root)

%package i18n-szl
Summary:       Swaziland language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Provides:      libreofficei18n

%description i18n-szl
This package contains additional Swaziland translations and resources for LibreOffice.

%files i18n-szl -f file-lists/lang_szl_list.txt
%defattr(-,root,root)

%package i18n-ta
Summary:       Tamil language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=ta)
#Requires:      hunspell-ta
#Requires:      hyphen-ta
Obsoletes:     OpenOffice-i18n-ta_IN
Provides:      libreofficei18n

%description i18n-ta
This package contains additional Tamil translations and resources for LibreOffice.

%files i18n-ta -f file-lists/lang_ta_list.txt
%defattr(-,root,root)

%package i18n-te
Summary:       Telugu language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=te)
#Requires:      hunspell-te
#Requires:      hyphen-te
Obsoletes:     OpenOffice-i18n-te_IN
Provides:      libreofficei18n

%description i18n-te
This package contains additional Telugu translations and resources for LibreOffice.

%files i18n-te -f file-lists/lang_te_list.txt
%defattr(-,root,root)

%package i18n-tg
Summary:       Tajik language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-tg
Provides:      libreofficei18n

%description i18n-tg
This package contains additional Tajik translations and resources for LibreOffice.

%files i18n-tg -f file-lists/lang_tg_list.txt
%defattr(-,root,root)

%package i18n-th
Summary:       Thai language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=th)
#Requires:      hunspell-th
Obsoletes:     OpenOffice-i18n-th
Provides:      libreofficei18n

%description i18n-th
This package contains additional Thai translations and resources for LibreOffice.

%files i18n-th -f file-lists/lang_th_list.txt
%defattr(-,root,root)

%package i18n-tn
Summary:       Tswana language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=tn)
#Requires:      hunspell-tn
Obsoletes:     OpenOffice-i18n-tn
Provides:      libreofficei18n

%description i18n-tn
This package contains additional Tswana translations and resources for LibreOffice.

%files i18n-tn -f file-lists/lang_tn_list.txt
%defattr(-,root,root)

%package i18n-tr
Summary:       Turkish language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-tr
Provides:      libreofficei18n

%description i18n-tr
This package contains additional Turkish translations and resources for LibreOffice.

%files i18n-tr -f file-lists/lang_tr_list.txt
%defattr(-,root,root)

%package i18n-ts
Summary:       Tsonga language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=ts)
#Requires:      hunspell-ts
Obsoletes:     OpenOffice-i18n-ts
Provides:      libreofficei18n

%description i18n-ts
This package contains additional Tsonga translations and resources for LibreOffice.

%files i18n-ts -f file-lists/lang_ts_list.txt
%defattr(-,root,root)

%package i18n-tt
Summary:       Tatar language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Provides:      libreofficei18n

%description i18n-tt
This package contains additional Tatar translations and resources for LibreOffice.

%files i18n-tt -f file-lists/lang_tt_list.txt
%defattr(-,root,root)

%package i18n-ug
Summary:       Uighur language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-ug
Provides:      libreofficei18n

%description i18n-ug
This package contains additional Uighur translations and resources for LibreOffice.

%files i18n-ug -f file-lists/lang_ug_list.txt
%defattr(-,root,root)

%package i18n-uk
Summary:       Ukrainian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=uk)
Requires:      hunspell-uk
#Requires:      hyphen-uk
#Requires:      mythes-uk
Obsoletes:     OpenOffice-i18n-uk
Provides:      libreofficei18n

%description i18n-uk
This package contains additional Ukrainian translations and resources for LibreOffice.

%files i18n-uk -f file-lists/lang_uk_list.txt
%defattr(-,root,root)

#%package i18n-ur
#Summary:       Urdu language support for LibreOffice
#Group:         System/Internationalization
#Requires:      %{name}-core = %{version}-%{release}
##Requires:      font(:lang=ur)
#Requires:      hunspell-ur
#Obsoletes:     OpenOffice-i18n-ur_IN
#
#%description i18n-ur
#This package contains additional Urdu translations and resources for LibreOffice.
#
#%files i18n-ur -f filelist_ur
#%defattr(-,root,root)

%package i18n-uz
Summary:       Uzbek language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-uz
Provides:      libreofficei18n

%description i18n-uz
This package contains additional Uzbek translations and resources for LibreOffice.

%files i18n-uz -f file-lists/lang_uz_list.txt
%defattr(-,root,root)

%package i18n-ve
Summary:       Venda language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=ve)
Requires:      hunspell-ve
Obsoletes:     OpenOffice-i18n-ve
Provides:      libreofficei18n

%description i18n-ve
This package contains additional Venda translations and resources for LibreOffice.

%files i18n-ve -f file-lists/lang_ve_list.txt
%defattr(-,root,root)

%package i18n-vec
Summary:       Venetian language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Provides:      libreofficei18n

%description i18n-vec
This package contains additional Venetian translations and resources for LibreOffice.

%files i18n-vec -f file-lists/lang_vec_list.txt
%defattr(-,root,root)

%package i18n-vi
Summary:       Vietnamese language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-vi
Provides:      libreofficei18n

%description i18n-vi
This package contains additional Vietnamese translations and resources for LibreOffice.

%files i18n-vi -f file-lists/lang_vi_list.txt
%defattr(-,root,root)

%package i18n-xh
Summary:       Xhosa language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
#Requires:      font(:lang=xh)
Requires:      hunspell-xh
Obsoletes:     OpenOffice-i18n-xh
Provides:      libreofficei18n

%description i18n-xh
This package contains additional Xhosa translations and resources for LibreOffice.

%files i18n-xh -f file-lists/lang_xh_list.txt
%defattr(-,root,root)

%package i18n-zh_CN
Summary:       Simplified Chinese language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-zh_CN
Provides:      libreofficei18n

%description i18n-zh_CN
This package contains additional Simplified Chinese translations and resources for LibreOffice.

%files i18n-zh_CN -f file-lists/lang_zh_CN_list.txt
%defattr(-,root,root)

%package i18n-zh_TW
Summary:       Traditional Chinese language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Obsoletes:     OpenOffice-i18n-zh_TW
Provides:      libreofficei18n

%description i18n-zh_TW
This package contains additional Traditional Chinese translations and resources for LibreOffice.

%files i18n-zh_TW -f file-lists/lang_zh_TW_list.txt
%defattr(-,root,root)

%package i18n-zu
Summary:       Zulu language support for LibreOffice
Group:         System/Internationalization
Requires:      %{name}-core = %{version}-%{release}
Requires:      hunspell-zu
Requires:      hyphen-zu
Obsoletes:     OpenOffice-i18n-zu
Provides:      libreofficei18n

%description i18n-zu
This package contains additional Zulu translations and resources for LibreOffice.

%files i18n-zu -f file-lists/lang_zu_list.txt
%defattr(-,root,root)
%endif

%changelog
* Mon Jul 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.6.1-1mamba
- update to 6.4.6.1

* Thu May 07 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.3.2-2mamba
- remove requirement for java-lucene in favour of clucene

* Fri Apr 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.3.2-1mamba
- update to 6.4.3.2

* Mon Dec 23 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.4.2-1mamba
- update to 6.3.4.2

* Sat Nov 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.3.2-1mamba
- update to 6.3.3.2

* Thu Oct 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.2.2-1mamba
- update to 6.3.2.2

* Fri Apr 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3.2-1mamba
- update to 6.2.3.2

* Sun Mar 24 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.2.2-1mamba
- update to 6.2.2.2

* Mon Feb 11 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.0.3-1mamba
- update to 6.2.0.3

* Tue Oct 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.2.1-1mamba
- update to 6.1.2.1

* Wed Nov 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.3.3-1mamba
- update to 5.2.3.3

* Thu Oct 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.2.2-1mamba
- update to 5.2.2.2

* Thu May 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.3.2-1mamba
- update to 5.1.3.2

* Wed Feb 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.1.1-1mamba
- update to 5.1.1.1

* Mon Jan 18 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4.2-1mamba
- update to 5.0.4.2

* Fri Nov 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.3.2-1mamba
- update to 5.0.3.2

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.2.1-1mamba
- update to 5.0.2.1

* Tue Jun 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0.2-1mamba
- update to 5.0.0.2

* Sun May 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3.2-1mamba
- update to 4.4.3.2

* Thu Apr 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.2.2-1mamba
- update to 4.4.2.2

* Tue Mar 31 2015 Automatic Build System <autodist@mambasoft.it> 4.4.1.2-1mamba
- automatic update by autodist

* Tue Feb 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.1.1-1mamba
- update to 4.4.1.1

* Sat Dec 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.5.2-1mamba
- update to 4.3.5.2

* Sun Nov 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.4.1-1mamba
- update to 4.3.4.1

* Sun Nov 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.3.2-1mamba
- update to 4.3.3.2

* Sun Oct 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.2.2-2mamba
- rebuild with --enable-release-build

* Thu Oct 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.2.2-1mamba
- update to 4.3.2.2

* Mon Jul 21 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.0.3-1mamba
- update to 4.3.0.3

* Sun May 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.4.2-1mamba
- update to 4.2.4.2

* Sun Apr 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.3.3-1mamba
- update to 4.2.3.3

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2.1-1mamba
- update to 4.2.2.1

* Sat Feb 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0.4-1mamba
- update to 4.2.0.4

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.4.1-1mamba
- update to 4.1.4.1

* Sat Nov 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.3.2-1mamba
- update to 4.1.3.2

* Thu Oct 10 2013 Automatic Build System <autodist@mambasoft.it> 4.1.2.3-1mamba
- update to 4.1.2.3

* Fri Aug 30 2013 Automatic Build System <autodist@mambasoft.it> 4.1.1.2-1mamba
- update to 4.1.1.2

* Fri Jul 26 2013 Automatic Build System <autodist@mambasoft.it> 4.1.0.4-1mamba
- update to 4.1.0.4

* Mon Jul 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.4.2-2mamba
- rebuilt with libpoppler 0.22.5, libboost 1.54 and libexttextcat 3.4.3

* Wed Jun 19 2013 Automatic Build System <autodist@mambasoft.it> 4.0.4.2-1mamba
- update to 4.0.4.2

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 4.0.3.3-1mamba
- update to 4.0.3.3

* Wed Mar 13 2013 Automatic Build System <autodist@mambasoft.it> 4.0.1.2-1mamba
- update to 4.0.1.2

* Mon Feb 11 2013 Automatic Build System <autodist@mambasoft.it> 4.0.0.3-1mamba
- update to 4.0.0.3

* Sun Feb 03 2013 Automatic Build System <autodist@mambasoft.it> 3.6.5.2-1mamba
- update to 3.6.5.2

* Tue Jul 31 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0.4-1mamba
- update to 3.6.0.4

* Thu Jun 07 2012 Automatic Build System <autodist@mambasoft.it> 3.5.4.2-1mamba
- update to 3.5.4.2

* Fri May 04 2012 Automatic Build System <autodist@mambasoft.it> 3.5.3.2-1mamba
- update to 3.5.3.2

* Wed Jan 25 2012 Automatic Build System <autodist@mambasoft.it> 3.4.5.2-1mamba
- update to 3.4.5.2

* Mon Nov 14 2011 Automatic Build System <autodist@mambasoft.it> 3.4.4.2-1mamba
- update to 3.4.4.2

* Tue Oct 18 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3.2-3mamba
- use make distro-pack-install to provide upstream maintained installation and package lists for distributions
- enable extensions build
- provide openmamba customized intro image

* Sat Oct 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3.2-2mamba
- rebuilt with db 5.1; use make for build

* Wed Oct 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3.2-1mamba
- update to 3.4.3.2

* Tue Mar 15 2011 gil <puntogil@libero.it> 3.3.2.1-1mamba
- update to 3.3.2.1

* Fri Mar 04 2011 gil <puntogil@libero.it> 3.3.1.2-2mamba
- fix wrong soffice home in libreoffice script

* Wed Mar 02 2011 gil <puntogil@libero.it> 3.3.1.2-1mamba
- update to 3.3.1.2

* Sat Jan 22 2011 gil <puntogil@libero.it> 3.3.0.4-1mamba
- package created by autospec
